/*------------------------------------*\
    MAIN
\*------------------------------------*/

/* global box-sizing */
*,
*:after,
*:before {
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-font-smoothing: antialiased;
    font-smoothing: antialiased;
    text-rendering: optimizeLegibility;
    margin: 0;
    padding: 0;

    justify-content: center;
    align-items: center;

    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}
/* html element 62.5% font-size for REM use */
html {
    font-size: 10px;
}
body.custom-background:not(.home) {
    background: none;
}
/* clear */
.clear:before,
.clear:after {
    content: ' ';
    display: table;
}

.clear:after {
    clear: both;
}
.clear {
    *zoom: 1;
}
img {
    max-width: 100%;
    max-width: 100%;
    height: auto;
    width: auto;
    vertical-align: bottom;
}
a {
    color: inherit;
    text-decoration: none;
    font-weight: 550;
}
a:hover {
    color: var(--secondary);
}
a:focus {
    outline: 0;
}
a:hover,
a:active {
    outline: 0;
}
textarea:focus,
input:focus {
    outline: 0;
    border-color: var(--secondary);
}

p {
    max-width: calc((var(--column) * 6) + (5 * var(--gap)));
}

h1,
h2,
h3,
h4,
h5,
h6,
.headline {
    line-height: 1.2;
    font-weight: 700;
    display: block;
}

blockquote {
    margin: 1.6rem 0;
    color: var(--secondary);
}

blockquote > :first-child:before {
    content: '„';
    display: inline;
}

blockquote > :last-child:after {
    content: '“';
    display: inline;
}

ul {
    margin: 0;
    list-style: none;
}

main ul {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: flex-start;
    gap: 0.25em;
}

main ul li {
    display: block;
    padding: 0.5em 1em;
    background-color: var(--white);
    border-left: var(--stroke) solid var(--secondary);
    box-shadow: var(--box-shadow);
}

li:not(:last-child) {
    margin-bottom: 0.8rem;
}

h2,
h3,
h4,
h5,
h6 {
    /* margin-top: 3.2rem;
    margin-bottom: 1.6rem; */
}

h3,
.h3 {
    /* line-height: 1.4; */
    /* font-size: 1.7em; */
    /* font-weight: 650; */
}

/*------------------------------------*\
	SCROLL TOP
\*------------------------------------*/
.scroll_top {
    display: flex;
    align-items: center;
    font-weight: 600;
    position: relative;
    transition: var(--transition);
    padding-right: 5rem;
}

.scroll_top .scroll-top-circle {
    border: 0.2rem solid var(--white);
    width: 3rem;
    height: 3rem;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 0;
    right: 0;
    overflow: hidden;
    z-index: 2;
    border-top-color: var(--secondary);
    transform: rotate(45deg);
}

.scroll_top .scroll-top-circle:before {
    content: '';
    width: 35%;
    height: 35%;
    border: inherit;
    border-color: var(--white);
    border-bottom: none;
    border-right: none;
    transform: translate(12.5%, 12.5%);
}

/*------------------------------------*\
	TYPOGRAPHY
\*------------------------------------*/

/*------------------------------------*\
    CALL TO ACTION
\*------------------------------------*/
.call-to-action-toggler {
    position: fixed;
    background-color: var(--primary);
    color: var(--white);
    right: 0;
    top: 15vh;
    width: auto !important;
    padding: 1.5rem 5rem;
    font-weight: 600;
    cursor: pointer;
    transition: var(--transition);
    z-index: 9;
}

.call-to-action-toggler:hover {
    background-color: var(--secondary);
    transform: translateX(5px);
}

.call-to-action-wrapper {
    position: fixed;
    top: 0;
    right: -30vw;
    height: 100vh;
    width: calc(var(--padding) + 3 * var(--column) + 2 * var(--gap)) !important;
    min-width: 50rem;
    background-color: var(--white);
    box-shadow: var(--box-shadow);
    padding: var(--content-padding);
    z-index: 3;
    display: none !important;
    z-index: 150;

    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 3.5rem;
}

.call-to-action-wrapper.open {
    display: flex !important;
}

.call-to-action-overlay {
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    width: 100%;
    background-color: var(--primary);
    opacity: 0;
    z-index: 149;
    display: none !important;
}

.call-to-action-overlay.open {
    display: block !important;
}

.call-to-action-closer {
    position: absolute;
    left: 0;
    top: var(--content-padding);
    background-color: var(--primary);
    width: 5rem;
    height: 5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: var(--transition);
    cursor: pointer;
    transform: translateX(-50%);
}

.call-to-action-closer:hover {
    background-color: var(--secondary);
    transform: translateX(calc(-50% + 1rem));
}

.call-to-action-closer img {
    width: 30px;
    height: 30px;
    transform: rotate(180deg);
}

/*------------------------------------*\
    MISC
\*------------------------------------*/

::selection {
    background: #04a4cc;
    color: #fff;
    text-shadow: none;
}
::-webkit-selection {
    background: #04a4cc;
    color: #fff;
    text-shadow: none;
}
::-moz-selection {
    background: #04a4cc;
    color: #fff;
    text-shadow: none;
}

/*------------------------------------*\
    FORMS
\*------------------------------------*/

.wpcf7-form {
    display: flex;
    flex-direction: column;
    gap: 2em;
    align-items: flex-start;
}

form.wpcf7-form .form-content {
    display: grid;
    font-size: 1.4rem;
    grid-template-columns: 5fr 4fr;
    align-items: flex-end;
    gap: 1.5em calc(var(--column) / 2 + var(--gap));
}

@media (max-width: 1380px) and (min-width: 769px) {
    form.wpcf7-form .form-content {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        row-gap: 1.5em;
        width: 100%;
    }

    form.wpcf7-form .form-content .left {
        width: 27rem;
        max-width: 100%;
        flex-grow: 1;
    }

    form.wpcf7-form .form-content .right {
        width: 15rem;
        max-width: 100%;
        flex-grow: 1;
    }
}

form.wpcf7-form .form-content > * {
    display: flex;
    flex-direction: column;
    gap: 1.5em;
    align-items: stretch;
}

form.wpcf7-form .form-content > .left {
    align-self: flex-start;
}

form .form-row {
    margin: 0;
}

form [data-class='wpcf7cf_group'] > .form-row:not(:first-child) {
    margin-top: 1.5em;
}

form .form-row br {
    display: none;
}

form a {
    font-weight: 600;
}

.wpcf7-radio {
    display: flex;
    flex-wrap: wrap;
    gap: var(--gap);
    justify-content: flex-start;
}

.wpcf7-radio .wpcf7-list-item {
    cursor: pointer;
    margin: 0;
    font-weight: 650;
    border: 0.2rem solid var(--white);
    box-shadow: var(--box-shadow);
    transition: var(--transition);
}

.wpcf7-radio .wpcf7-list-item-label {
    padding: 0.5rem 2rem;
}

.wpcf7-radio + .wpcf7-not-valid-tip {
    /* margin-top: -2rem; */
}

.wpcf7 form.invalid .wpcf7-response-output {
    margin: calc(2 * var(--gap)) 0;
    border-color: var(--secondary);
}

.wpcf7-radio .wpcf7-list-item * {
    cursor: pointer;
}

.wpcf7-radio .wpcf7-list-item input {
    display: none;
}

.wpcf7-radio .wpcf7-list-item.checked {
    border-color: var(--secondary);
}
.wpcf7-radio .wpcf7-list-item:not(.checked):hover {
    border-color: var(--primary);
}

textarea,
input,
select {
    border: none;
    border-bottom: 2px solid var(--primary);
    box-shadow: var(--box-shadow);
}

textarea {
    border: none;
    border-bottom: 2px solid var(--primary); /* Adds a bottom border */
    box-shadow: var(--box-shadow); /* Applies shadow effect */
    outline: none; /* Removes the outline */
    resize: none; /* Prevents resizing for textarea */
    width: 100%; /* Full width */
}

form label,
form p.label {
    display: flex;
    flex-direction: column;
    gap: 0.5em;
    align-items: flex-start;
}

form label > span:not(.wpcf7-list-item-label),
form p.label > span:not(.wpcf7-list-item-label) {
    display: block;
    width: 100%;
}

/*------------------------------------*\
    WORDPRESS CORE
\*------------------------------------*/

.alignnone {
    /*margin:5px 20px 20px 0;*/
}
.aligncenter,
div.aligncenter {
    display: block;
    margin: 5px auto 5px auto;
}
.alignright {
    float: right;
    margin: 5px 0 20px 20px;
}
.alignleft {
    float: left;
    margin: 5px 20px 20px 0;
}
a img.alignright {
    float: right;
    margin: 5px 0 20px 20px;
}
a img.alignnone {
    margin: 5px 20px 20px 0;
}
a img.alignleft {
    float: left;
    margin: 5px 20px 20px 0;
}
a img.aligncenter {
    display: block;
    margin-left: auto;
    margin-right: auto;
}
.wp-caption {
    background: #fff;
    border: 1px solid #f0f0f0;
    max-width: 96%;
    padding: 5px 3px 10px;
    text-align: center;
}
.wp-caption.alignnone {
    margin: 5px 20px 20px 0;
}
.wp-caption.alignleft {
    margin: 5px 20px 20px 0;
}
.wp-caption.alignright {
    margin: 5px 0 20px 20px;
}
.wp-caption img {
    border: 0 none;
    height: auto;
    margin: 0;
    max-width: 98.5%;
    padding: 0;
    width: auto;
}
.wp-caption .wp-caption-text,
.gallery-caption {
    font-size: 1rem;
    line-height: 17px;
    margin: 0;
    padding: 0 4px 5px;
}
.sticky {
}
.bypostauthor {
}

section {
    width: 100%;
}

/*------------------------------------*\
    PRINT
\*------------------------------------*/

@media print {
    * {
        background: transparent !important;
        color: #000 !important;
        box-shadow: none !important;
        text-shadow: none !important;
    }
    a,
    a:visited {
        text-decoration: underline;
    }
    a[href]:after {
        content: ' (' attr(href) ')';
    }
    abbr[title]:after {
        content: ' (' attr(title) ')';
    }
    .ir a:after,
    a[href^='javascript:']:after,
    a[href^='#']:after {
        content: '';
    }
    pre,
    blockquote {
        border: 1px solid #999;
        page-break-inside: avoid;
    }
    thead {
        display: table-header-group;
    }
    tr,
    img {
        page-break-inside: avoid;
    }
    img {
        max-width: 100% !important;
    }
    @page {
        margin: 0.5cm;
    }
    p,
    h2,
    h3 {
        orphans: 3;
        widows: 3;
    }
    h2,
    h3 {
        page-break-after: avoid;
    }
}

.mce-ico.mce-i-none {
    background-size: 100%;
    background-repeat: no-repeat;
}

.wpcf7 small {
    margin-top: 2rem;
}

.wpcf7 .wpcf7-checkbox > span {
    margin-bottom: 2rem;
}
.wpcf7 p.small {
    width: 100%;
}
